package com.yida.data.common.core.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
public enum ModuleName {
    AUTH("认证中心"),
    APPLY_PARODUCT("应用商品"),
    ATTENDANCE("考勤"),
    DEVICE("设备"),
    LETTER_BOX("校长信箱"),
    NOTICE("通知"),
    SCHOOL("校园主页"),
    STUDENT_EXAM("考试管理"),
    USER("用户管理"),
    STUDENT("学生管理"),
    STAFF("职工管理"),
    JOB("任务调度"),
    SYSTEM("系统管理"),
    DEPT("系统部门"),
    USER_DEPT("家校部门"),
    INSTRUCTION("系统指南"),
    ELECTRONIC_STUDENT_CARD("电子学生证"),
    TELEPHONE("亲情电话"),
    COURSE("课程表"),
    PRODUCT("商品管理"),
    TRANSATION("交易管理"),
    HEALTH("健康管理");
    @Getter
    String name;

    public String getName() {
        return name;
    }
}
